### Function

# GLib HookFindFunc

since: 2.0

#### Declaration

    gboolean
    (* GHookFindFunc) (
      GHook* hook,
      gpointer data
    )

#### Description

Defines the type of the function passed to g_hook_find().

Available since: 2.0

#### Parameters

`hook`

  Type: `GHook`

  A `GHook`.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  User data passed to `g_hook_find_func()`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the required `GHook` has been found.